{ description = "Minimal NixOS installation image";

  inputs = {
    nixos.url = github:nixos/nixpkgs/nixos-23.11;
    voidconf.url = git+https://forge.antimattercloud.nl/Egg/voidconf;
  };

  outputs = { self, nixos, voidconf }: {

    nixosConfigurations = {
      default = nixos.lib.nixosSystem {
        system = "x86_64-linux";

        modules = [
          "${nixos}/nixos/modules/installer/cd-dvd/installation-cd-minimal.nix"
          voidconf.nixosModules.live
          ./configuration.nix
        ];

      };
    };

  };
}

